<?php
 // custom header background
add_action('wp_head','custom_style');
function custom_style(){ 
	$theme_color  = get_theme_mod('theme_color','#1FCFD5;');
    $head_color   = get_theme_mod('parallax_head_color','#fff');
    $typer_color  = get_theme_mod('parallax_typer_color','#fff');
    $hd_btn_color = get_theme_mod('parallax_button_color','#1FCFD5');
 //slider   
    $ovrly_color = get_theme_mod('ovrly_color','rgba(41, 41, 41, 0.68);');
//portfolio
    $portfolio_bg_background  = get_theme_mod('portfolio_bg_background','color');
    $portfolio_bg_image  = get_theme_mod('portfolio_bg_image','');
    $portfolio_img_overly_color  = get_theme_mod('portfolio_img_overly_color');
    $portf_txt = get_theme_mod('portfo_txt_color','#000');
    $portfo_subtxt_color = get_theme_mod('portfo_subtxt_color','#000');
//resume 
    $resume_bg_background = get_theme_mod('resume_bg_background','image');
	$resume_bg_image    = get_theme_mod('resume_bg_image',PORTFOLIOLITE_RESUME_SECTION_BG);
    $resume_img_overly_color    = get_theme_mod('resume_img_overly_color','');
    $resume_title_color = get_theme_mod('resume_title_color','#fff');
    $view_btnclr        = get_theme_mod('button1_color','#1FCFD5');
    $dwnld_btnclr       = get_theme_mod('button2_color','#1FCFD5');
    $view_hvr_btnclr    = get_theme_mod('button1_hvr_color','#1FCFD5;');
    $dwnld_hvr_btnclr   = get_theme_mod('button2_hvr_color','#1FCFD5;');
//testimonial    
	$testimonial_bg_background = get_theme_mod('testimonial_bg_background','image');
    $testimonial_bg_image    = get_theme_mod('testimonial_bg_image',PORTFOLIOLITE_TESTIM_SECTION_BG);
    $testimonial_img_overly_color    = get_theme_mod('testimonial_img_overly_color','');

//skill    
    $skill_bg_background  = get_theme_mod('skill_bg_background','color');
    $skill_bg_image  = get_theme_mod('skill_bg_image','');
    $skill_img_overly_color  = get_theme_mod('skill_img_overly_color');
    $skill_txt = get_theme_mod('skill_txt_color','#000');
    $skill_subtxt_color = get_theme_mod('skill_subtxt_color','#000');
      
// team
    $team_bg_background  = get_theme_mod('team_bg_background','color');
    $team_bg_image  = get_theme_mod('team_bg_image','');
    $team_img_overly_color  = get_theme_mod('team_img_overly_color');
    $team_txt = get_theme_mod('team_txt_color','#000');
    $team_subtxt_color = get_theme_mod('team_subtxt_color','#000');
//price    
    $price_bg_background  = get_theme_mod('price_bg_background','color');
    $price_bg_image  = get_theme_mod('price_bg_image','');
    $price_img_overly_color  = get_theme_mod('price_img_overly_color');
    $price_txt = get_theme_mod('price_txt_color','#000');
    $price_subtxt_color = get_theme_mod('price_subtxt_color','#000');

// ribbon    
    $ribbonbtm_bg_background = get_theme_mod('ribbonbtm_bg_background','image');
    $ribbonbtm_bg_image    = get_theme_mod('ribbonbtm_bg_image',PORTFOLIOLITE_TESTIM_SECTION_BG);
    $ribbonbtm_img_overly_color    = get_theme_mod('ribbonbtm_img_overly_color');
    $ribbon_txt_color     = get_theme_mod('ribbon_txt_color','#fff');
    $ribbon_bnt_color     = get_theme_mod('ribbon_bnt_color','#1FCFD5');
    $ribbon_bnt_hvr_color = get_theme_mod('ribbon_bnt_hvr_color','#fff');

// new letter   
    $news_bg_background = get_theme_mod('news_bg_background','image');
    $news_bg_image    = get_theme_mod('news_bg_image',PORTFOLIOLITE_TESTIM_SECTION_BG);
    $news_img_overly_color    = get_theme_mod('news_img_overly_color');
    $news_title_clr   = get_theme_mod('news_title_color','#fff;');
    $news_bnt_clr     = get_theme_mod('news_button_color','#1FCFD5;');
    $news_bnt_hrv_clr = get_theme_mod('news_button_hvr_color','#fff;');
//blog   
    $blog_bg_background  = get_theme_mod('blog_bg_background','color');
    $blog_bg_image  = get_theme_mod('blog_bg_image','');
    $blog_img_overly_color  = get_theme_mod('blog_img_overly_color');
    $blog_bg     = get_theme_mod('blog_bg_color','#fff');
    $blog_page_image     = get_theme_mod('blog_page_image','');
    $blog_txt    = get_theme_mod('blog_txt_color','#000');
    $blog_subtxt    = get_theme_mod('blog_subtxt_color','#000');

// contact   
    $cnt_bg_background = get_theme_mod('cnt_bg_background','image');
    $cnt_bg_image    = get_theme_mod('cnt_bg_image',PORTFOLIOLITE_TESTIM_SECTION_BG);
    $cnt_img_overly_color    = get_theme_mod('cnt_img_overly_color');
    $colom_first  = get_theme_mod('blog_colm_color1','#E67E22');
    $colom_second = get_theme_mod('blog_colm_color2','#C0392B');
    $colom_third  = get_theme_mod('blog_colm_color3','#2980B9');
    $footer_bg    = get_theme_mod('footer_bg_color','#fff');
    $footer_copybg_color = get_theme_mod('footer_copybg_color','#fff');
    $footer_txt   = get_theme_mod('footer_txt_color','#000');
    $footer_anch_color = get_theme_mod('footer_anch_color','#666');

echo "<style type='text/css'>";
// themecolor_style  
?>
.logo h1 a {
    color: <?php echo $theme_color;?>
}
mark{
color: <?php echo $theme_color;?>
}
li.current-menu-item a, .menu-item .active, .navigation .menu > li a:hover {
    color: <?php echo $theme_color;?>!important;
}
.navigation ul ul a:hover, .navigation ul ul a:link:hover, .navigation ul ul a:visited:hover, .current_page_item a  {
    color:<?php echo $theme_color;?>!important;
}
.sub-menu li:hover {
    color:<?php echo $theme_color;?>!important;
}
.nav-footer ul li a:hover {
    color: <?php echo $theme_color;?>
}
.social-meta li a:hover{
background-color: <?php echo $theme_color;?>    
}
.sidebar-inner-widget ul li:before {
color:<?php echo $theme_color;?> 
}
ul.portfolio-navi button.active.is-checked, ul.portfolio-navi button:visited, ul.portfolio-navi button:focus {
    color:<?php echo $theme_color;?>;
    border-color:<?php echo $theme_color;?>
}
figure.protfolio-img-efc:after {
  background-color:<?php echo $theme_color;?>;
}

.blog-info-header h2:after {
    background: <?php echo $theme_color;?>;
}
.post_meta a:hover {
    color: <?php echo $theme_color;?>;
}
#respond input#submit {
   background-color: <?php echo $theme_color;?>; 
}
.post-previous a:hover:before,
.post-next a:hover:before {
    color: <?php echo $theme_color;?> ;
}
button {
background: <?php echo $theme_color;?>;
border: 1px solid <?php echo $theme_color;?>;  
}
button.load-more:hover,.sidebar-inner-widget ul li a:hover {
    color: <?php echo $theme_color;?>;  
}
.arrow-up a:hover:before {
    border-top-color: <?php echo $theme_color;?>; 
    border-left-color: <?php echo $theme_color;?>; 
}
.footer-widget-column .widget .widgettitle {
    border-bottom: 1px solid <?php echo $theme_color;?>; 
}
.widget #wp-calendar th {
    background: <?php echo $theme_color;?>; 
}
.footer-wrapper tbody>tr>td>a {
    background: <?php echo $theme_color;?>; 
}

<?php // themecolor_style End ?>
.overlay {
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: -1;
    background:<?php echo $ovrly_color; ?>;
}
<?php if( $portfolio_bg_background=='image'){?>
#portfolio-mywork-section{
background-image:url(<?php echo $portfolio_bg_image; ?>); 
}
#portfolio-mywork-section:before{
background-color:<?php echo $portfolio_img_overly_color; ?>;
    }
<?php } else { ?>
#portfolio-mywork-section{
background:<?php echo $portfolio_img_overly_color; ?>;    
}
<?php } ?>

#portfolio-mywork-section h2.main-heading{
    color:<?php echo $portf_txt; ?>
}
#portfolio-mywork-section p.sub-heading{
    color:<?php echo $portfo_subtxt_color; ?>
}

<?php if( $resume_bg_background=='image'){?>
#resume-ribbon {
background-image:url(<?php echo $resume_bg_image; ?>);
}
#resume-ribbon:before{
background:<?php echo $resume_img_overly_color; ?>;   
}
<?php } else { ?>
#resume-ribbon:before{
background:<?php echo $resume_img_overly_color; ?>;   
}
<?php } ?>

#resume-ribbon h2 {
    color: <?php echo $resume_title_color; ?>;
}
#resume-ribbon .view-resume a,#resume-ribbon .view-resume-c a{
    color: <?php echo $view_btnclr; ?>;
    border: 1px solid <?php echo $view_btnclr; ?>;
}
#resume-ribbon .view-resume a:hover,#resume-ribbon .view-resume-c a:hover{
  background:<?php echo $view_btnclr; ?>;
  color:#fff;   
}
#resume-ribbon .download-resume a, #resume-ribbon .download-resume-c a{
 border: 1px solid <?php echo $view_btnclr; ?>;
 background:<?php echo $view_btnclr; ?>   
}
#resume-ribbon .download-resume a:hover,#resume-ribbon .download-resume-c a:hover {
    background-color:transparent; 
}
<?php if( $skill_bg_background=='image'){?>
#skill-info{
background-image:url(<?php echo $skill_bg_image; ?>);
}
#skill-info:before{
background:<?php echo $skill_img_overly_color; ?>;   
}
<?php } else { ?>
#skill-info{
background:<?php echo $skill_img_overly_color; ?>;    
}
<?php } ?>

#skill-info h2.main-heading{
    color:<?php echo $skill_txt; ?>
}
#skill-info p.sub-heading{
    color:<?php echo $skill_subtxt_color; ?>
}

<?php if( $testimonial_bg_background=='image'){?>
.testimonials {
background-image:url(<?php echo $testimonial_bg_image; ?>);
}
.testimonials:before{
background:<?php echo $testimonial_img_overly_color; ?>;   
}
<?php } else { ?>
.testimonials:before{
background:<?php echo $testimonial_img_overly_color; ?>;   
}
<?php } ?>

<?php if( $team_bg_background=='image'){?>
#team-info {
background-image:url(<?php echo $team_bg_image; ?>);
}
#team-info:before{
background:<?php echo $team_img_overly_color; ?>;   
}
<?php } else { ?>
#team-info {
background:<?php echo $team_img_overly_color; ?>;    
}
<?php } ?>
#team-info h2.main-heading{
    color:<?php echo $team_txt; ?>
}
#team-info p.sub-heading{
    color:<?php echo $team_subtxt_color; ?>
}

<?php if( $news_bg_background=='color'){?>
#new-letter:before{
background:<?php echo $news_img_overly_color; ?>;   
}
<?php } else { ?>
#new-letter {
background-image:url(<?php echo $news_bg_image; ?>);
}
#new-letter:before{
background:<?php echo $news_img_overly_color; ?>;   
}
<?php } ?>
#new-letter .new-letter-block h3 {
    color: <?php echo$news_title_clr; ?>
}
#new-letter .button-news-letter {
    border: 1px solid <?php echo$news_bnt_clr; ?>;
    background: <?php echo$news_bnt_clr; ?>;
    color: <?php echo $news_bnt_hrv_clr ?>;
}
#new-letter .button-news-letter:hover{
    background: <?php echo $news_bnt_hrv_clr ?>;
    color: <?php echo$news_bnt_clr; ?>;
}
.new-letter-block .leadform-show-form input[type="submit"]{
border:1px solid <?php echo $news_bnt_clr; ?>!important;
color:<?php echo $news_bnt_hrv_clr ?>!important;
background: <?php echo $news_bnt_clr; ?>!important;
}
.new-letter-block .leadform-show-form input[type="submit"]:hover{
background: <?php echo $news_bnt_hrv_clr ?>!important;  
color:<?php echo $news_bnt_clr ?>!important;  
}
<?php if( $price_bg_background=='image'){?>
#price-package {
background-image:url(<?php echo $price_bg_image; ?>);
}
#price-package:before{
background-color:<?php echo $price_img_overly_color; ?>;   
}
<?php } else { ?>
#price-package {
background:<?php echo $price_img_overly_color; ?>;    
}
<?php } ?>
#price-package h2.main-heading{
    color:<?php echo $price_txt; ?>;
}
#price-package p.sub-heading{
    color:<?php echo $price_subtxt_color; ?>;
}

<?php if( $ribbonbtm_bg_background=='image'){?>
#call-ribbon {
background-image:url(<?php echo $ribbonbtm_bg_image; ?>);
}
#call-ribbon:before{
background-color:<?php echo $ribbonbtm_img_overly_color; ?>;   
}
<?php } else { ?>
#call-ribbon:before{
background-color:<?php echo $ribbonbtm_img_overly_color; ?>;   
}
<?php } ?>

#call-ribbon h3 {
    color:<?php echo $ribbon_txt_color; ?>
}
#call-ribbon .button-ribbon {
    border: 1px solid <?php echo $ribbon_bnt_color; ?>;
    background: <?php echo $ribbon_bnt_color; ?>;
    color:<?php echo $ribbon_bnt_hvr_color; ?>;
}
#call-ribbon .button-ribbon:hover {
    background: <?php echo $ribbon_bnt_hvr_color; ?>;
    color: <?php echo $ribbon_bnt_color; ?>;
}

.portfolio-desc h1 {
color:<?php echo $head_color; ?>
}
.portfolio-desc p {
color:<?php echo $typer_color; ?>  
}
.portfolio-desc button {
 border: 1px solid <?php echo $hd_btn_color; ?>
}
.portfolio-desc button {
color:<?php echo $hd_btn_color; ?>
}
.portfolio-desc button:hover {
    background: <?php echo $hd_btn_color; ?>;
}
.portfolio-desc .exp-btn button{
 background: <?php echo $hd_btn_color; ?>;   
}
.portfolio-desc .exp-btn button{
 color:#fff;   
}
.blog-image.hd-img {
  <?php if (get_theme_mod('blog_page_image','') != '') { ?>  
    background-image: url(<?php echo $blog_page_image ?>);
    <?php } else {?>
   background-image: url('<?php echo get_template_directory_uri(); ?>/images/2.jpg');
<?php }?>
}

<?php if( $blog_bg_background=='image'){?>
#latest-post {
background-image:url(<?php echo $blog_bg_image; ?>);
}
#latest-post:before{
background-color:<?php echo $blog_img_overly_color; ?>;   
}
<?php } else { ?>
#latest-post {
background:<?php echo $blog_img_overly_color; ?>;    
}
<?php } ?>
#latest-post h2.main-heading{
    color:<?php echo $blog_txt; ?>
}
#latest-post p.sub-heading{
    color:<?php echo $blog_subtxt; ?>
}
li.post-list:nth-of-type(3n+1) figure.blog-efct h3, li.post-list:nth-of-type(3n+1) figure.blog-efct:before, li.post-list:nth-of-type(3n+1) figure.blog-efct:after {
    background: <?php echo $colom_first; ?>;
}
li.post-list:nth-of-type(3n+2) figure.blog-efct h3, li.post-list:nth-of-type(3n+2) figure.blog-efct:before, li.post-list:nth-of-type(3n+2) figure.blog-efct:after {
    background:<?php echo $colom_second; ?>;
}
li.post-list:nth-of-type(3n+3) figure.blog-efct h3, li.post-list:nth-of-type(3n+3) figure.blog-efct:before, li.post-list:nth-of-type(3n+3) figure.blog-efct:after {
    background: <?php echo $colom_third; ?>;
}

<?php if( $cnt_bg_background=='image'){?>
#contact-info {
background-image:url(<?php echo $cnt_bg_image; ?>);
}
#contact-info:before{
background-color:<?php echo $cnt_img_overly_color; ?>;   
}
<?php } else { ?>
#contact-info:before{
background-color:<?php echo $cnt_img_overly_color; ?>;   
}
<?php } ?>

.company-detail,.footer-wrapper {
    background-color:<?php echo $footer_bg; ?>;
}
.nav-footer ul li a {
color:<?php echo $footer_anch_color;?>;
}
.company-social a,.footer a {
color:<?php echo $footer_anch_color;?>;   
}
.copyright-section {
    background-color: <?php echo  $footer_copybg_color; ?>;
}
.copyright-section p{
 color: <?php echo  $footer_txt; ?>;   
}


<?php
 echo get_theme_mod('custom_css_text');
 echo "</style>";
    }
?>